#!/usr/bin/env bash

# Created by RunCloud
# If you found any bug, please send email to bug@runcloud.io

RC_COMMAND="nginx-rc"
ARGONE=$1

if [[ "$@" == "reload" ]]; then
    echo "Reloading nginx config..."
    RC_COMMAND="reload"
    shift 1
elif [[ "$1" == "shell" ]]; then
    shift 1
fi

if [ "$ARGONE" == "shell" ]; then 
    RC_CONTAINERNAME="_SERVICENAME_" USER="${USER}" exec /usr/bin/run-container "$@"
else
    RC_CONTAINERNAME="_SERVICENAME_" USER="${USER}" exec /usr/bin/run-container "${RC_COMMAND}" "$@"
fi